Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.process
Class FullTextSearchResultColumns

    java.lang.Object
      org.modeshape.graph.query.process.QueryResultColumns
          org.modeshape.graph.query.process.FullTextSearchResultColumns

All Implemented Interfaces:
  Serializable, Iterable<Column>, QueryResults.Columns

    public class FullTextSearchResultColumns

extends QueryResultColumns

A specialization of `QueryResultColumns` that can be used to represent results containing only the `Location` of the node and the

See Also:
  Serialized Form

Field Summary
`static QueryResultColumns` | `INSTANCE`

Fields inherited from class org.modeshape.graph.query.process.QueryResultColumns
`DEFAULT_SELECTOR_NAME, EMPTY, NO_COLUMNS, NO_TYPES`

Constructor Summary
`FullTextSearchResultColumns()` Create a new definition for the query results containing just the locations and the full-text search scores.
`FullTextSearchResultColumns(List<Column> columns, List<String> columnTypes)` Create a new definition for the query results given the supplied columns.

Method Summary
`int` | `getFullTextSearchScoreIndex()` Get the index of the tuple value containing the full-text search score for the node.
`int` | `getLocationIndex()` Get the index of a tuple's correct Location object.
`boolean` | `hasFullTextSearchScores()` Determine whether these results include full-text search scores.

Methods inherited from class org.modeshape.graph.query.process.QueryResultColumns
`columnIndexForName, columnNameFor, empty, equals, findColumnsWithSameNames, getColumnCount, getColumnIndexForName, getColumnIndexForProperty, getColumnNames, getColumns, getColumnTypes, getFullTextSearchScoreIndexFor, getLocationCount, getLocationIndex, getLocationIndexForColumn, getLocationIndexForColumn, getPropertyNameForColumn, getPropertyNameForColumnName, getSelectorNameForColumnName, getSelectorNames, getTupleSize, getTupleValueNames, hasSelector, includeFullTextScores, includeFullTextScores, includes, isUnionCompatible, iterator, joinWith, subSelect, subSelect, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final QueryResultColumns INSTANCE

Constructor Detail

### FullTextSearchResultColumns

    public FullTextSearchResultColumns()

  Create a new definition for the query results containing just the locations and the full-text search scores.

### FullTextSearchResultColumns

    public FullTextSearchResultColumns(List<Column> columns,
                                       List<String> columnTypes)

  Create a new definition for the query results given the supplied columns.

  Parameters:
    `columns` - the columns that define the results; should never be modified directly
    `columnTypes` - the type name for each of the Column objects in `columns`

Method Detail

### getLocationIndex

    public int getLocationIndex()

  Get the index of a tuple's correct Location object.

  Returns:
    the Location index that corresponds to the supplied column; never negative

### getFullTextSearchScoreIndex

    public int getFullTextSearchScoreIndex()

  Get the index of the tuple value containing the full-text search score for the node.

  Returns:
    the index that corresponds to the `Double` full-text search score, or -1 if there is no full-text search score for the named selector

### hasFullTextSearchScores

    public boolean hasFullTextSearchScores()

  Determine whether these results include full-text search scores.

  Specified by:
    `hasFullTextSearchScores` in interface `QueryResults.Columns`
  Overrides:
    `hasFullTextSearchScores` in class `QueryResultColumns`
  Returns:
    true if the full-text search scores are included in the results, or false otherwise
  See Also:
    `QueryResultColumns.hasFullTextSearchScores()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.